%define name		perl-IO-String
%define real_name	IO-String
%define version		1.02
%define release		1mdk

Summary:	A IO::File/IO::handle perl module compatible
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Requires:	perl
BuildRequires:	perl-devel
Buildroot:	%{_tmppath}/%{name}-root
URL:		http://www.cpan.org
Source:		http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/%{real_name}-%{version}.tar.bz2
Prefix:		%{_prefix}
BuildArch:	noarch

%description
IO::String is an IO::File (and IO::Handle) compatible class that read
or write data from in-core strings.  It is really just a
simplification of what I needed from Eryq's IO-stringy modules.  As
such IO::String is a replacement for IO::Scalar.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix}
%make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{_prefix}
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX="$RPM_BUILD_ROOT/%{_prefix}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README MANIFEST Changes
%{perl_vendorlib}/IO/*
%_mandir/man3pm/IO::String.3pm.bz2

%changelog
* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.02-1mdk
- 1.02

* Fri Nov 01 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.01-1mdk 
- first version of rpm.
